
ChiliProject - Task # 18: Contribution workflow

Status: Closed Priority: Normal
Author: Muntek Singh Category: ChiliProject - Organization
Created: 2010-12-29 Assignee: Holger Just
Updated: 2011-02-01 Due date:
Remote issue URL:
Description: Setup a contribution workflow based on git - including code review process

History
2010-12-29 10:39 am - Muntek Singh
Should create two wiki pages:

Broad overview of how bluemine code contributions work

How bluemine does code review

2011-01-04 03:02 pm - Eric Davis
- Assignee set to Eric Davis

I started on a basic [[Contribute]] page and am working on a [[Code Review]] one now.  I think this is good enough to launch, we will be changing these 
as we refine the development process.

2011-01-04 03:24 pm - Eric Davis
- % Done changed from 0 to 50

- Status set to In Progress

I've done a brain dump of my own [[Code Review]] system to the wiki.  Still need to create the actual process but I think these don't need to be finalized 
before we launch.

2011-01-12 01:56 pm - Eric Davis
- Project changed from Organization to ChiliProject

- Target version deleted ()

- Category deleted ()

2011-01-12 01:58 pm - Eric Davis
- Category set to ChiliProject - Organization

2011-01-12 02:29 pm - Eric Davis
- Tracker changed from Feature to Task

2011-01-12 03:11 pm - Eric Davis
- Target version set to Public Launch
2011-01-21 05:21 pm - Felix Schäfer
Proposed workflow: http://nvie.com/posts/a-successful-git-branching-model/, though we should probably rename the "master" branch from the post to 
"stable" and the "develop" branch to "master", as the "master" branch commonly is the branch development happens on on github.

2011-01-21 11:42 pm - Felix Schäfer
[[Contribute]] will probably need some smaller adjustments, but should be mostly OK, the code part has been moved to [[Contribute Code]] and needs 
work still.

2011-01-24 12:59 pm - Felix Schäfer
I think [[Contribute Code]] is at a point I'd call it finished save for smaller wording/grammar fixes. I've begun on the Branch names and general "code 
flow" on [[Release Process]], you might want to have a look there too.

2011-01-27 02:47 pm - Felix Schäfer
[[Contribute Code]] is finished, the branch names are now on [[ChiliProject Repository]], they should be finished once we have a graphic to show it all 
(Holger's on that currently).

Once the [[Code Review]] is deemed finished, this can be closed.

2011-01-27 10:39 pm - Eric Davis
- Assignee changed from Eric Davis to Holger Just

Felix,

The wiki pages look good. I think once we have a graphic of the branches we can finish this issue.  [[Code Review]] can be finished up as we go, it's a 
more fluid process.

Assigning to Holger for the branch graphic. I can try to create it if needed.

2011-02-01 07:24 am - Eric Davis
- Status changed from In Progress to Closed

Holger added the branch graphic to [[ChiliProject Repository]] so this issue is complete.
